## IdeLocalDevice IdeLocalDevice |

## Functions

#define | IDE_TYPE_LOCAL_DEVICE

## Types and Values

struct | IdeLocalDeviceClass
| IdeLocalDevice

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDevice
                ╰── IdeLocalDevice

## Description

## Functions

### IDE_TYPE_LOCAL_DEVICE

    #define IDE_TYPE_LOCAL_DEVICE (ide_local_device_get_type())

## Types and Values

### struct IdeLocalDeviceClass

    struct IdeLocalDeviceClass {
      IdeDeviceClass parent;
    };

### IdeLocalDevice

    typedef struct _IdeLocalDevice IdeLocalDevice;